Update a landing
PATCH
/api/v1/landings/{id}
const url = 'https://example.com/api/v1/landings/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"US nutra pre-lander v3","type":"redirect","url":"https://prelander.example.com/promo","isActive":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/landings/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "US nutra pre-lander v3", "type": "redirect", "url": "https://prelander.example.com/promo", "isActive": true }'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»id
required
string
Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Media typeapplication/json
object
name
string
Example
US nutra pre-lander v3type
Only “redirect” is supported today — the landing is a URL the visitor is sent to (with ?offer_url=… appended), not a page we host.
string
url
string
Example
https://prelander.example.com/promoisActive
boolean
Responses
Заголовок раздела «Responses»Media typeapplication/json
object
id
required
string
workspaceId
required
string
name
required
string
type
required
string
url
required
string
healthStatus
required
string
isActive
required
boolean
createdAt
required
string
updatedAt
string
Example
{ "type": "redirect", "healthStatus": "healthy"}